Skip to content

pdf_hash

Status: ✅ Verified | Format: PDF / OpenXML / Data

CLI

expressiveCode.terminalWindowFallbackTitle
paperpilot hash --input tests/e2e_fixtures/real/missing.pdf --json

MCP JSON-RPC

{
"name": "pdf_hash",
"arguments": {
"input": "tests/e2e_fixtures/real/single_page.pdf"
}
}

REST API

expressiveCode.terminalWindowFallbackTitle
curl -s -X POST http://127.0.0.1:7823/api/v1/pdf/hash -H 'Content-Type: application/json' -d '{"input": "tests/e2e_fixtures/real/single_page.pdf"}'